import { defineStore } from 'pinia'
import Player from '@/engine/Player/Player'

export const usePlayerStore = defineStore('player', {
  state: () => ({
    player: null as Player | null,
    character: null as integer | null //Saving the character ID???
  }),

  actions: {
    setPlayer(player: Player) {
      this.player = player
    },
    setCharacter(character: integer) {
      this.character = character
    }
  }
})
